-- This is a player context script for MoO2 1.50 patch project.
--
-- This script shows which opponents have spies sent against you and how many.
-- Only works if /noreport switch is off.
--
-- To run the script press 2 in main screen (the file should be named MAIN2.LUA)

if get_conf("/noreport") == 1 then
    msgbox("/noreport option prevents spy check.")
    return
end

c = get_current_player_id()
output = "Spies sent against us:\n\n"
total_spies = 0
for i,p in pairs(get_players()) do
    if i == c or p.spies == nil then
        nr_spies = 0
    else
        nr_spies = p.spies[c]
        if nr_spies > 0 then
            output = output .. tostring(nr_spies) .. " by " .. tostring(p.ruler) .. " of the " .. tostring(p.race) .. "\n"
            total_spies = total_spies + nr_spies
        end
    end
end

if total_spies > 0 then
    output = output .. "\nTotal: " .. tostring(total_spies).. " spies"
else
    output = "No race in contact has sent spies against us."
end
msgbox(output)
